Subject: The new version of draft-yevstifeyev-http-headers-not-recognized (Last Call)

From: Mykyta Yevstifeyev <[email-masked]>
Date: Wed, 15 Dec 2010 19:48:05 +0200

Hello all,

I have recently made the new version of 
draft-yevstifeyev-http-headers-not-recognized
including many comments during the first 2 days of Last Call. You can 
find it here:

https://datatracker.ietf.org/doc/draft-yevstifeyev-http-headers-not-recognized/

Any comments and suggestions are still welcome.

All the best,
Mykyta Yevstifeyev

---

From: Daniel Stenberg <[email-masked]>
Date: Wed, 15 Dec 2010 22:06:34 +0100 (CET)

> Any comments and suggestions are still welcome.

I lack the (discussion around a) use case for this. Who would use this and 
why?

-- 

  / daniel.haxx.se

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Thu, 16 Dec 2010 11:21:37 +0200

Daniel,

This topic has been discused before LC on httpbis mailing list and we
reached a conclusion that discussed proposal can be used while
debugging hosts and only ocassionaly - widespread. I think that is the
answer to your question.

Waiting for other suggestions for improvement.

All the best,
Mykyta Yevstigeyev

---

From: Daniel Stenberg <[email-masked]>
Date: Thu, 16 Dec 2010 11:28:21 +0100 (CET)

On Thu, 16 Dec 2010, Mykyta Yevstifeyev wrote:

> reached a conclusion that discussed proposal can be used while debugging 
> hosts and only ocassionaly - widespread. I think that is the answer to your 
> question.

I'm sorry, can you please link me to those discussions? I've been a subscriber 
to the httpbis mailing list for a long time and I must've missed the mails you 
refer to.

Perhaps I'm not alone.

-- 

  / daniel.haxx.se

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Thu, 16 Dec 2010 16:57:34 +0200

Daniel,

You may find some related discussions on

http://lists.w3.org/Archives/Public/ietf-http-wg/2010OctDec/

dated from Monday, 22 November 2010 and Tuesday, 23 November 2010

All the best,
Mykyta Yevstifeyev

16.12.2010 12:28, Daniel Stenberg wrote:
>> debugging hosts and only ocassionaly - widespread. I think that is 
>> the answer to your question.
>
> I'm sorry, can you please link me to those discussions? I've been a 
> subscriber to the httpbis mailing list for a long time and I must've 
> missed the mails you refer to.
>
> Perhaps I'm not alone.
>

---

From: Daniel Stenberg <[email-masked]>
Date: Thu, 16 Dec 2010 16:46:53 +0100 (CET)

> dated from Monday, 22 November 2010 and Tuesday, 23 November 2010

Thanks.

The only tiny piece of explanation I can find there is 
http://lists.w3.org/Archives/Public/ietf-http-wg/2010OctDec/0493.html where 
you say "But aren't debugging purposes a weighty argument?".

Does this mean that debugging HTTP clients(?) and servers(?) is your primary 
purpose for this feature? In what way does this help you debug?

I've been developing (and debugging) HTTP clients for over a decade and I've 
not missed this header. I'm genuinely trying to understand the use case and 
what benefit this header is to bring for that purpose, so that I can read the 
draft with that in mind.

So please, even if this is repeating something you've expressed before, can 
you enlighten us (again) exactly in what ways you intend to use this 
header/feature?

(If someone else have any good suggestions, that'll do fine as well!)

-- 

  / daniel.haxx.se

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Thu, 16 Dec 2010 18:00:03 +0200

Daniel,

I'll now explain that. Let A is the host-under-debugging (HUD). There is 
another host, B, which is debugger. Let there is some new HTTP server 
software on A. B's sending requests with different methods, headers and 
entity to test A for appropriate processing of headers. Let B is sending 
the request with header X-Foo, which is to be used or already used 
widely among the Internet. But A does not recognize it. But it is not 
easy for developers to get known this. If discussed header is used, B 
testers can simply analyze A's answer (as it is to be done at all) to 
find out the problem and fix it. That is debugging purpose, IMO.

Hope I explained everything clearly.

Any suggestions are welcome.

All the best,
Mykyta Yevstifeyev

16.12.2010 17:46, Daniel Stenberg wrote:
> http://lists.w3.org/Archives/Public/ietf-http-wg/2010OctDec/0493.html 
> where you say "But aren't debugging purposes a weighty argument?".
>
> Does this mean that debugging HTTP clients(?) and servers(?) is your 
> primary purpose for this feature? In what way does this help you debug?
>
> I've been developing (and debugging) HTTP clients for over a decade 
> and I've not missed this header. I'm genuinely trying to understand 
> the use case and what benefit this header is to bring for that 
> purpose, so that I can read the draft with that in mind.
>
> So please, even if this is repeating something you've expressed 
> before, can you enlighten us (again) exactly in what ways you intend 
> to use this header/feature?
>